> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue Scan Upload

> Continue uploading chunks for an existing scan



## OpenAPI

````yaml /api-reference/openapi.json patch /start-scan/{transfer_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /start-scan/{transfer_id}:
    patch:
      tags:
        - Starting Corgea Scan
      summary: Continue Scan Upload
      description: Continue uploading chunks for an existing scan
      operationId: continueScanUpload
      parameters:
        - name: transfer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The transfer ID from the initial scan request
        - name: Upload-Offset
          in: header
          required: true
          schema:
            type: integer
          description: Current byte offset of the upload
        - name: Upload-Length
          in: header
          required: true
          schema:
            type: integer
          description: Total size of the file in bytes
        - name: Upload-Name
          in: header
          required: true
          schema:
            type: string
          description: Name of the file being uploaded
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - chunk_data
              properties:
                chunk_data:
                  type: string
                  format: binary
                  description: The next chunk of data for the scan
                project_name:
                  type: string
                branch:
                  type: string
                repo_url:
                  type: string
                sha:
                  type: string
                partial_scan:
                  type: boolean
                files_to_scan:
                  type: string
                  description: Comma-separated list of files to scan
      responses:
        '200':
          description: Chunk uploaded successfully
          headers:
            Upload-Offset:
              schema:
                type: integer
              description: Current upload offset after this chunk
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      transfer_id:
                        type: string
                        format: uuid
                      status:
                        type: string
                        example: success
                      message:
                        type: string
                        example: Chunk uploaded successfully.
                  - type: object
                    description: Returned when upload is complete
                    properties:
                      scan_id:
                        type: string
                        format: uuid
                        example: 1a5afaa3-72ac-458f-a492-ac40ffc88e76
                      status:
                        type: string
                        example: success
                      message:
                        type: string
                        example: Chunk uploaded successfully.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: 'Invalid request: ''chunk_data'' file not found.'
                  internal_detail:
                    type: string
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````